# Enum Class CJ1ItemSerialX

java.lang.Object
java.lang.Enum<CJ1ItemSerialX>
com.io7m.cardant.protocol.inventory.json.internal.CJ1ItemSerialX

All Implemented Interfaces:
  `CJ1SerialBijectionType<CJ1ItemSerial, CAItemSerial>, Serializable, Comparable<CJ1ItemSerialX>, Constable`

public enum CJ1ItemSerialX extends Enum<CJ1ItemSerialX> implements CJ1SerialBijectionType<CJ1ItemSerial, CAItemSerial>

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ITEM_SERIAL`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CJ1ItemSerial`
  `toCJ1(CAItemSerial m)`
  `CAItemSerial`
  `toCore(CJ1ItemSerial m)`
  `static CJ1ItemSerialX`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static CJ1ItemSerialX[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ITEM_SERIAL

    public static final CJ1ItemSerialX ITEM_SERIAL

- ## Method Details

  - ### values

    public static CJ1ItemSerialX[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CJ1ItemSerialX valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### toCore

    public CAItemSerial toCore(CJ1ItemSerial m)
    Specified by:
      `toCore` in interface `CJ1SerialBijectionType<CJ1ItemSerial, CAItemSerial>`

  - ### toCJ1

    public CJ1ItemSerial toCJ1(CAItemSerial m)
    Specified by:
      `toCJ1` in interface `CJ1SerialBijectionType<CJ1ItemSerial, CAItemSerial>`